=== debian/changelog ===
krita (1:5.2.11+dfsg-0.1~mx23+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 20 Jul 2025 11:02:31 -0700
