## krita 5.2.13

=== debian/changelog ===
krita (1:5.2.13-0zneon+24.04+noble+release+build15) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Dec 2025 03:37:44 +0000

krita (1:5.2.13-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 24 Sep 2025 12:56:09 +0000

krita (1:5.2.11-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 12:56:30 +0000

krita (1:5.2.10-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Jul 2025 12:56:10 +0000

krita (1:5.2.9-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 31 Jan 2025 12:56:10 +0000

krita (1:5.2.6-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Oct 2024 12:56:10 +0000

krita (1:5.2.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 12:56:12 +0000

krita (1:5.2.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Jun 2024 12:56:11 +0000

krita (1:5.2.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jan 2024 05:50:51 +0000

krita (1:5.1.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Jan 2023 12:56:06 +0000

krita (1:5.1.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2022 12:56:07 +0000

krita (1:5.1.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 07 Nov 2022 12:56:07 +0000

krita (1:5.1.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Nov 2022 12:56:06 +0000

krita (1:5.1.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Sep 2022 16:41:55 +0000

krita (1:5.1.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 13:44:01 +0000

krita (1:5.0.8-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Jun 2022 06:42:51 +0000

krita (1:5.0.6-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 28 Apr 2022 12:56:06 +0000

krita (1:5.0.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Apr 2022 12:56:05 +0000

krita (1:5.0.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Jan 2022 12:56:06 +0000

krita (1:5.0.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 23 Dec 2021 12:56:05 +0000

krita (1:4.4.8-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 25 Aug 2021 12:56:04 +0000

krita (1:4.4.7-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Aug 2021 12:56:12 +0000

krita (1:4.4.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 19 Jan 2021 12:56:05 +0000

krita (1:4.4.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 29 Oct 2020 13:02:04 +0000

krita (1:4.4.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 13 Oct 2020 12:47:59 +0000

krita (1:4.3.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Mar 2020 12:56:07 +0000

krita (1:4.2.8.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 27 Nov 2019 12:56:05 +0000

krita (1:4.2.8.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Nov 2019 12:56:10 +0000

krita (1:4.2.7.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Oct 2019 12:56:12 +0000

krita (1:4.2.7-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Oct 2019 12:56:07 +0000

krita (1:4.2.6-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2019 12:56:06 +0000

krita (1:4.2.5-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 02 Aug 2019 12:56:06 +0000

krita (1:4.2.4-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 30 Jul 2019 12:56:09 +0000

krita (1:4.2.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Jul 2019 12:56:06 +0000

krita (1:4.2.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 24 Jun 2019 12:56:06 +0000

krita (1:4.2.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Mar 2019 08:25:08 +0000

krita (1:4.1.7.101-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 16 Dec 2018 12:56:04 +0000

krita (1:4.1.7-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Dec 2018 12:57:42 +0000

krita (1:4.1.5-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Oct 2018 12:16:03 +0000

krita (1:4.1.4-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Oct 2018 08:53:08 +0000

krita (1:4.1.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 27 Sep 2018 14:21:49 +0000

krita (1:4.1.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 18 Jul 2018 12:18:59 +0000

krita (1:4.1.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Jun 2018 09:59:43 +0000

krita (1:4.0.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 May 2018 12:00:35 +0000

krita (1:4.0.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 08 May 2018 08:00:34 +0000

krita (1:4.0.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Apr 2018 10:49:10 +0000

krita (1:4.0.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Mar 2018 10:35:05 +0000

krita (1:3.3.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 13 Jan 2018 11:40:52 +0000


