=== plugins/color/CMakeLists.txt ===
add_subdirectory( lcms2engine )
add_subdirectory( colorspaceextensions )
