=== debian/changelog ===
krita (1:5.2.13+dfsg-1~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 25 Sep 2025 07:49:02 -0700

krita (1:5.2.13+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Wed, 24 Sep 2025 18:12:28 +0200

krita (1:5.2.11+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 11 Aug 2025 06:42:50 +0200
